> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/data-governance/models.md).

# Models

## The ActivityImpl object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"components":{"schemas":{"ActivityImpl":{"required":["activityType","callCount","callId","cause","description","id","timestamp","user"],"type":"object","properties":{"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"},"user":{"$ref":"#/components/schemas/UserReferenceImpl"},"timestamp":{"type":"integer","description":"The time when the activity happened. It is the timestamp (in UTC time standard).","format":"int64"},"cause":{"type":"string","description":"The cause of the activity.","enum":["MANUAL","IMPORT","BULK_DELETE","BULK_MOVE","BULK_EDIT","BULK_INSERT","WORKFLOW"]},"callId":{"type":"string","description":"The ID of the call that resulted in an activity."},"callCount":{"type":"integer","description":"The number of calls standing behind the activity.","format":"int32"},"activityType":{"type":"string","description":"The type of the activity, which could be ADD, UPDATE or DELETE.","enum":["ADD","UPDATE","DELETE"]},"description":{"type":"string","description":"The description of the activity. It's the string in json format. It's exact content depends on activityType and on the type of the resource that was affected by the change. Possible fields are: <ul> <li> affected - always there, consists of id, type and name, it's the reference to the resource that was added, deleted or updated with the activity. </li> <li> new, old - for all activities of ActivityType.UPDATE, respectively new and old value of the field. It can be either the reference to another object (same as affected) or just a string (eg. name change). </li> <li> field - for ActivityType.UPDATE the name of the field that was changed, eg. status, name, target etc. </li> <li> role, people, resource - only for the responsibility activities, people means owner (user or group). </li> <li> source, target, role, coRole - only for relations (including complex relation legs). </li> <li> complexRelation, legs - only for complex relations, legs here stands for all the legs that the complex relation consists of. </li> <li> kind - only for attributes, it's attribute kind, eg. boolean, string, numeric etc. </li> <li> businessItem - only for workflows, reference to an object that is the business item for non-global workflows. </li> <li> attachmentFile - only for attachments, it's the name of the file that was attached. </li> <li> rating - only for ratings and reviews, contains a double representing the current rating </li> </ul>"}},"description":"The list of results."},"UserReferenceImpl":{"required":["id","resourceType","userName"],"type":"object","properties":{"id":{"type":"string","description":"The id of the referenced resource.","format":"uuid"},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable us to introduce new types of resources, we are replacing the ResourceType enum with a String. For new types of resources that didn't exist before this change, resourceType will be BaseDataType. Please use the resourceDiscriminator property instead. Refer to the object containing the ResourceReference for possible values.","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"resourceDiscriminator":{"type":"string","description":"The resource discriminator, which indicates the type of the referenced resource, e.g. \"Community\", \"Asset\", ... Check the documentation of the class using the resource reference for detailed documentation regarding the possible resource discriminator values."},"userName":{"type":"string","description":"The username of the user."}},"description":"The reference to the user who performed the activity."}}}}
```

## The ActivityPagedResponse object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"components":{"schemas":{"ActivityPagedResponse":{"type":"object","properties":{"total":{"type":"integer","description":"A placeholder value that should not be relied on, for performance reasons activities are not actually counted.","format":"int64","deprecated":true},"offset":{"type":"integer","description":"A copy of the offset request parameter.","format":"int64","deprecated":true},"limit":{"type":"integer","description":"A copy of the limit request parameter.","format":"int64","deprecated":true},"results":{"type":"array","description":"The list of results.","items":{"$ref":"#/components/schemas/ActivityImpl"}}}},"ActivityImpl":{"required":["activityType","callCount","callId","cause","description","id","timestamp","user"],"type":"object","properties":{"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"},"user":{"$ref":"#/components/schemas/UserReferenceImpl"},"timestamp":{"type":"integer","description":"The time when the activity happened. It is the timestamp (in UTC time standard).","format":"int64"},"cause":{"type":"string","description":"The cause of the activity.","enum":["MANUAL","IMPORT","BULK_DELETE","BULK_MOVE","BULK_EDIT","BULK_INSERT","WORKFLOW"]},"callId":{"type":"string","description":"The ID of the call that resulted in an activity."},"callCount":{"type":"integer","description":"The number of calls standing behind the activity.","format":"int32"},"activityType":{"type":"string","description":"The type of the activity, which could be ADD, UPDATE or DELETE.","enum":["ADD","UPDATE","DELETE"]},"description":{"type":"string","description":"The description of the activity. It's the string in json format. It's exact content depends on activityType and on the type of the resource that was affected by the change. Possible fields are: <ul> <li> affected - always there, consists of id, type and name, it's the reference to the resource that was added, deleted or updated with the activity. </li> <li> new, old - for all activities of ActivityType.UPDATE, respectively new and old value of the field. It can be either the reference to another object (same as affected) or just a string (eg. name change). </li> <li> field - for ActivityType.UPDATE the name of the field that was changed, eg. status, name, target etc. </li> <li> role, people, resource - only for the responsibility activities, people means owner (user or group). </li> <li> source, target, role, coRole - only for relations (including complex relation legs). </li> <li> complexRelation, legs - only for complex relations, legs here stands for all the legs that the complex relation consists of. </li> <li> kind - only for attributes, it's attribute kind, eg. boolean, string, numeric etc. </li> <li> businessItem - only for workflows, reference to an object that is the business item for non-global workflows. </li> <li> attachmentFile - only for attachments, it's the name of the file that was attached. </li> <li> rating - only for ratings and reviews, contains a double representing the current rating </li> </ul>"}},"description":"The list of results."},"UserReferenceImpl":{"required":["id","resourceType","userName"],"type":"object","properties":{"id":{"type":"string","description":"The id of the referenced resource.","format":"uuid"},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable us to introduce new types of resources, we are replacing the ResourceType enum with a String. For new types of resources that didn't exist before this change, resourceType will be BaseDataType. Please use the resourceDiscriminator property instead. Refer to the object containing the ResourceReference for possible values.","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"resourceDiscriminator":{"type":"string","description":"The resource discriminator, which indicates the type of the referenced resource, e.g. \"Community\", \"Asset\", ... Check the documentation of the class using the resource reference for detailed documentation regarding the possible resource discriminator values."},"userName":{"type":"string","description":"The username of the user."}},"description":"The reference to the user who performed the activity."}}}}
```

## The UserReferenceImpl object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"components":{"schemas":{"UserReferenceImpl":{"required":["id","resourceType","userName"],"type":"object","properties":{"id":{"type":"string","description":"The id of the referenced resource.","format":"uuid"},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable us to introduce new types of resources, we are replacing the ResourceType enum with a String. For new types of resources that didn't exist before this change, resourceType will be BaseDataType. Please use the resourceDiscriminator property instead. Refer to the object containing the ResourceReference for possible values.","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"resourceDiscriminator":{"type":"string","description":"The resource discriminator, which indicates the type of the referenced resource, e.g. \"Community\", \"Asset\", ... Check the documentation of the class using the resource reference for detailed documentation regarding the possible resource discriminator values."},"userName":{"type":"string","description":"The username of the user."}},"description":"The reference to the user who performed the activity."}}}}
```

## The ApplicationInfo object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"components":{"schemas":{"ApplicationInfo":{"type":"object","properties":{"baseUrl":{"type":"string"},"buildNumber":{"type":"string"},"solutions":{"type":"array","items":{"$ref":"#/components/schemas/SolutionInfo"}},"version":{"$ref":"#/components/schemas/ApplicationVersionImpl"}}},"SolutionInfo":{"type":"object","properties":{"name":{"type":"string"},"version":{"$ref":"#/components/schemas/ApplicationVersionImpl"}}},"ApplicationVersionImpl":{"type":"object","properties":{"major":{"type":"integer","description":"The major version number of the application version. This version number is increased with the major changes and releases of the application","format":"int32"},"minor":{"type":"integer","description":"The minor version number of the application version. This version number is increased whenever new features are added in given release","format":"int32"},"fullVersion":{"type":"string","description":"The full version of the application."},"displayVersion":{"type":"string","description":"The display version of the application. This is the version to be displayed to the customer and can be different from the actual internal version."}}}}}}
```

## The ApplicationVersionImpl object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"components":{"schemas":{"ApplicationVersionImpl":{"type":"object","properties":{"major":{"type":"integer","description":"The major version number of the application version. This version number is increased with the major changes and releases of the application","format":"int32"},"minor":{"type":"integer","description":"The minor version number of the application version. This version number is increased whenever new features are added in given release","format":"int32"},"fullVersion":{"type":"string","description":"The full version of the application."},"displayVersion":{"type":"string","description":"The display version of the application. This is the version to be displayed to the customer and can be different from the actual internal version."}}}}}}
```

## The SolutionInfo object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"components":{"schemas":{"SolutionInfo":{"type":"object","properties":{"name":{"type":"string"},"version":{"$ref":"#/components/schemas/ApplicationVersionImpl"}}},"ApplicationVersionImpl":{"type":"object","properties":{"major":{"type":"integer","description":"The major version number of the application version. This version number is increased with the major changes and releases of the application","format":"int32"},"minor":{"type":"integer","description":"The minor version number of the application version. This version number is increased whenever new features are added in given release","format":"int32"},"fullVersion":{"type":"string","description":"The full version of the application."},"displayVersion":{"type":"string","description":"The display version of the application. This is the version to be displayed to the customer and can be different from the actual internal version."}}}}}}
```

## The ArticulationRuleImpl object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"components":{"schemas":{"ArticulationRuleImpl":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"},"createdBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"createdOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"lastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"lastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...].\nThis property is deprecated and will be removed in the future. In order to stay backwards compatible\nand to enable introduction of new types of resources, where necessary, a resource discriminator\nproperty (of type String) has been added to specific subtypes of Resource,\ne.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute.\nFor new types of resource that didn't exist before this change, the resourceType will be\nBaseDataType.\n","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"score":{"type":"number","description":"The value that should be either added or set (depending on the operation) when this rule matches.","format":"double"},"operation":{"type":"string","description":"The type of an operation that should be performed when asset is matching this rule.","enum":["ADD","SET"]},"status":{"$ref":"#/components/schemas/NamedResourceReferenceImpl"},"attributeType":{"$ref":"#/components/schemas/NamedResourceReferenceImpl"}},"description":"The list of articulation rules applying with the assignment."},"NamedResourceReferenceImpl":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the referenced resource.","format":"uuid"},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable us to introduce new types of resources, we are replacing the ResourceType enum with a String. For new types of resources that didn't exist before this change, resourceType will be BaseDataType. Please use the resourceDiscriminator property instead. Refer to the object containing the ResourceReference for possible values.","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"resourceDiscriminator":{"type":"string","description":"The resource discriminator, which indicates the type of the referenced resource, e.g. \"Community\", \"Asset\", ... Check the documentation of the class using the resource reference for detailed documentation regarding the possible resource discriminator values."},"name":{"type":"string","description":"The name of the referenced resource."}},"description":"Represents reference to the resource, including its name."}}}}
```

## The AssignedAttributeType object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"components":{"schemas":{"AssignedAttributeType":{"required":["assignedResourceType","id"],"type":"object","deprecated":true,"allOf":[{"$ref":"#/components/schemas/AssignedCharacteristicType"},{"type":"object","properties":{"attributeType":{"$ref":"#/components/schemas/AttributeType"}}}]},"AssignedCharacteristicType":{"required":["assignedResourceType"],"type":"object","properties":{"minimumOccurrences":{"type":"integer","description":"How many times at least the assigned characteristic must be added to the resource. Zero means no restriction.","format":"int32"},"maximumOccurrences":{"type":"integer","description":"How many times at least the assigned characteristic may be added to the resource. Null means no limit.","format":"int32"},"assignedResourceId":{"type":"string","description":"The id of the resource the characteristic refers to.","format":"uuid"},"assignedResourceType":{"type":"string","description":"The type of the resource the characteristic refers to. The value can be one of : AttributeType, RelationType or ComplexRelationType. Deprecated in favour of assignedCharacteristicTypeDiscriminator.","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"assignedCharacteristicTypeDiscriminator":{"type":"string","description":"The discriminator of the characteristic type that is assigned. The value can be one of : AttributeType, RelationType or ComplexRelationType"},"readOnly":{"type":"boolean","description":"Whether the characteristic value of the assigned type can be edited by the user."},"system":{"type":"boolean","description":"Whether the characteristic type can be unassigned."},"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"}},"description":"The list of assigned characteristic types. Depending on the actual type, a characteristic type may contain additional properties. For additional details, refer to the schemas of AssignedAttributeType, AssignedComplexRelationType and AssignedRelationType. These references will always contain 'AttributeType', 'RelationType' or 'ComplexRelationType' as resourceDiscriminator value.","discriminator":{"propertyName":"assignedResourceType","mapping":{"AttributeType":"#/components/schemas/AssignedAttributeType","ComplexRelationType":"#/components/schemas/AssignedComplexRelationType","RelationType":"#/components/schemas/AssignedRelationType"}}},"AttributeType":{"type":"object","properties":{"attributeTypeDiscriminator":{"type":"string","description":"the discriminator of this AttributeType, which indicates the type. The value can be one of : BooleanAttributeType, DateAttributeType, MultiValueListAttributeType, NumericAttributeType, ScriptAttributeType, SingleValueListAttributeType or StringAttributeType."},"publicId":{"type":"string","description":"The public id of the attribute type."},"description":{"type":"string","description":"The description of the resource."},"name":{"type":"string","description":"The name of the resource."},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...].\nThis property is deprecated and will be removed in the future. In order to stay backwards compatible\nand to enable introduction of new types of resources, where necessary, a resource discriminator\nproperty (of type String) has been added to specific subtypes of Resource,\ne.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute.\nFor new types of resource that didn't exist before this change, the resourceType will be\nBaseDataType.\n","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"createdBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"lastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"createdOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"lastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"}},"discriminator":{"propertyName":"resourceType","mapping":{"BooleanAttributeType":"#/components/schemas/BooleanAttributeType","DateAttributeType":"#/components/schemas/DateAttributeType","MultiValueListAttributeType":"#/components/schemas/MultiValueListAttributeType","NumericAttributeType":"#/components/schemas/NumericAttributeType","ScriptAttributeType":"#/components/schemas/ScriptAttributeType","SingleValueListAttributeType":"#/components/schemas/SingleValueListAttributeType","StringAttributeType":"#/components/schemas/StringAttributeType"}}}}}}
```

## The AssignedCharacteristicType object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"components":{"schemas":{"AssignedCharacteristicType":{"required":["assignedResourceType"],"type":"object","properties":{"minimumOccurrences":{"type":"integer","description":"How many times at least the assigned characteristic must be added to the resource. Zero means no restriction.","format":"int32"},"maximumOccurrences":{"type":"integer","description":"How many times at least the assigned characteristic may be added to the resource. Null means no limit.","format":"int32"},"assignedResourceId":{"type":"string","description":"The id of the resource the characteristic refers to.","format":"uuid"},"assignedResourceType":{"type":"string","description":"The type of the resource the characteristic refers to. The value can be one of : AttributeType, RelationType or ComplexRelationType. Deprecated in favour of assignedCharacteristicTypeDiscriminator.","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"assignedCharacteristicTypeDiscriminator":{"type":"string","description":"The discriminator of the characteristic type that is assigned. The value can be one of : AttributeType, RelationType or ComplexRelationType"},"readOnly":{"type":"boolean","description":"Whether the characteristic value of the assigned type can be edited by the user."},"system":{"type":"boolean","description":"Whether the characteristic type can be unassigned."},"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"}},"description":"The list of assigned characteristic types. Depending on the actual type, a characteristic type may contain additional properties. For additional details, refer to the schemas of AssignedAttributeType, AssignedComplexRelationType and AssignedRelationType. These references will always contain 'AttributeType', 'RelationType' or 'ComplexRelationType' as resourceDiscriminator value.","discriminator":{"propertyName":"assignedResourceType","mapping":{"AttributeType":"#/components/schemas/AssignedAttributeType","ComplexRelationType":"#/components/schemas/AssignedComplexRelationType","RelationType":"#/components/schemas/AssignedRelationType"}}}}}}
```

## The AssignedCharacteristicTypeReferenceImpl object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"components":{"schemas":{"AssignedCharacteristicTypeReferenceImpl":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the Assigned Characteristic Type Reference.","format":"uuid"},"assignedResourceReference":{"$ref":"#/components/schemas/NamedResourceReferenceImpl"},"assignedResourcePublicId":{"type":"string","description":"The public id of assigned Characteristic Type. This can be an Attribute Type, Relation Type, Complex Relation Type or Derived Relation Type."},"minimumOccurrences":{"type":"integer","description":"How many times the assigned Characteristic must at the minimum be added to the Resource. Zero means no restriction.","format":"int32"},"maximumOccurrences":{"type":"integer","description":"Defines how many times an assigned Characteristic may be added at most to the resource. Null means no limit.","format":"int32"},"system":{"type":"boolean","description":"When the system flag is set to true, it means the Characteristic Type cannot be unassigned."},"readOnly":{"type":"boolean","description":"When the readOnly flag is set to true, the value of the assigned Characteristic Type cannot be edited by the user. Only applicable to AttributeType assignment lines."},"relationTypeDirection":{"type":"string","description":"The direction of the Relation Type or null when this reference isn't a reference to a Relation Type.","enum":["TO_SOURCE","TO_TARGET","BOTH","NONE"]},"relationTypeRestriction":{"$ref":"#/components/schemas/NamedResourceReferenceImpl"},"matchingLegTypesIds":{"type":"array","description":"The list of ids that should match the legs of the complex relation or null if this reference is not a ComplexRelationType.","items":{"type":"string","description":"The list of ids that should match the legs of the complex relation or null if this reference is not a ComplexRelationType.","format":"uuid"}}},"description":"The list of assigned characteristic types.\nDepending on the actual type, a characteristic type may contain additional properties.\nThese references will always contain 'AttributeType', 'StringAttributeType', 'ScriptAttributeType',\n'BooleanAttributeType', 'DateAttributeType', 'SingleValueListAttributeType',\n'MultiValueListAttributeType', 'NumericAttributeType', 'RelationType', 'DerivedRelationType' or 'ComplexRelationType'\nas resourceDiscriminator value."},"NamedResourceReferenceImpl":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the referenced resource.","format":"uuid"},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable us to introduce new types of resources, we are replacing the ResourceType enum with a String. For new types of resources that didn't exist before this change, resourceType will be BaseDataType. Please use the resourceDiscriminator property instead. Refer to the object containing the ResourceReference for possible values.","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"resourceDiscriminator":{"type":"string","description":"The resource discriminator, which indicates the type of the referenced resource, e.g. \"Community\", \"Asset\", ... Check the documentation of the class using the resource reference for detailed documentation regarding the possible resource discriminator values."},"name":{"type":"string","description":"The name of the referenced resource."}},"description":"Represents reference to the resource, including its name."}}}}
```

## The AssignedComplexRelationType object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"components":{"schemas":{"AssignedComplexRelationType":{"required":["assignedResourceType","id"],"type":"object","deprecated":true,"allOf":[{"$ref":"#/components/schemas/AssignedCharacteristicType"},{"type":"object","properties":{"complexRelationType":{"$ref":"#/components/schemas/ComplexRelationTypeImpl"},"matchingLegTypesIds":{"type":"array","description":"The list of IDs that should match the legs of the complex relation.","items":{"type":"string","description":"The list of IDs that should match the legs of the complex relation.","format":"uuid"}}}}]},"AssignedCharacteristicType":{"required":["assignedResourceType"],"type":"object","properties":{"minimumOccurrences":{"type":"integer","description":"How many times at least the assigned characteristic must be added to the resource. Zero means no restriction.","format":"int32"},"maximumOccurrences":{"type":"integer","description":"How many times at least the assigned characteristic may be added to the resource. Null means no limit.","format":"int32"},"assignedResourceId":{"type":"string","description":"The id of the resource the characteristic refers to.","format":"uuid"},"assignedResourceType":{"type":"string","description":"The type of the resource the characteristic refers to. The value can be one of : AttributeType, RelationType or ComplexRelationType. Deprecated in favour of assignedCharacteristicTypeDiscriminator.","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"assignedCharacteristicTypeDiscriminator":{"type":"string","description":"The discriminator of the characteristic type that is assigned. The value can be one of : AttributeType, RelationType or ComplexRelationType"},"readOnly":{"type":"boolean","description":"Whether the characteristic value of the assigned type can be edited by the user."},"system":{"type":"boolean","description":"Whether the characteristic type can be unassigned."},"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"}},"description":"The list of assigned characteristic types. Depending on the actual type, a characteristic type may contain additional properties. For additional details, refer to the schemas of AssignedAttributeType, AssignedComplexRelationType and AssignedRelationType. These references will always contain 'AttributeType', 'RelationType' or 'ComplexRelationType' as resourceDiscriminator value.","discriminator":{"propertyName":"assignedResourceType","mapping":{"AttributeType":"#/components/schemas/AssignedAttributeType","ComplexRelationType":"#/components/schemas/AssignedComplexRelationType","RelationType":"#/components/schemas/AssignedRelationType"}}},"ComplexRelationTypeImpl":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"},"createdBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"createdOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"lastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"lastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...].\nThis property is deprecated and will be removed in the future. In order to stay backwards compatible\nand to enable introduction of new types of resources, where necessary, a resource discriminator\nproperty (of type String) has been added to specific subtypes of Resource,\ne.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute.\nFor new types of resource that didn't exist before this change, the resourceType will be\nBaseDataType.\n","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"name":{"type":"string","description":"The name of the resource."},"description":{"type":"string","description":"The description of the resource."},"publicId":{"type":"string","description":"The public id of the complex relation type."},"symbolData":{"$ref":"#/components/schemas/SymbolDataImpl"},"attributeTypes":{"type":"array","items":{"$ref":"#/components/schemas/ComplexRelationAttributeTypeImpl"}},"legTypes":{"type":"array","items":{"$ref":"#/components/schemas/ComplexRelationLegTypeImpl"}}}},"SymbolDataImpl":{"type":"object","properties":{"color":{"type":"string"},"symbolType":{"type":"string","enum":["NONE","ICON_CODE","ACRONYM_CODE"]},"iconCode":{"type":"string"},"acronymCode":{"type":"string"}},"description":"The symbol data of the trait."},"ComplexRelationAttributeTypeImpl":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"},"createdBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"createdOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"lastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"lastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...].\nThis property is deprecated and will be removed in the future. In order to stay backwards compatible\nand to enable introduction of new types of resources, where necessary, a resource discriminator\nproperty (of type String) has been added to specific subtypes of Resource,\ne.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute.\nFor new types of resource that didn't exist before this change, the resourceType will be\nBaseDataType.\n","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"minimumOccurrences":{"type":"integer","format":"int32"},"maximumOccurrences":{"type":"integer","format":"int32"},"readOnly":{"type":"boolean"},"attributeType":{"$ref":"#/components/schemas/AttributeType"}}},"AttributeType":{"type":"object","properties":{"attributeTypeDiscriminator":{"type":"string","description":"the discriminator of this AttributeType, which indicates the type. The value can be one of : BooleanAttributeType, DateAttributeType, MultiValueListAttributeType, NumericAttributeType, ScriptAttributeType, SingleValueListAttributeType or StringAttributeType."},"publicId":{"type":"string","description":"The public id of the attribute type."},"description":{"type":"string","description":"The description of the resource."},"name":{"type":"string","description":"The name of the resource."},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...].\nThis property is deprecated and will be removed in the future. In order to stay backwards compatible\nand to enable introduction of new types of resources, where necessary, a resource discriminator\nproperty (of type String) has been added to specific subtypes of Resource,\ne.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute.\nFor new types of resource that didn't exist before this change, the resourceType will be\nBaseDataType.\n","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"createdBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"lastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"createdOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"lastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"}},"discriminator":{"propertyName":"resourceType","mapping":{"BooleanAttributeType":"#/components/schemas/BooleanAttributeType","DateAttributeType":"#/components/schemas/DateAttributeType","MultiValueListAttributeType":"#/components/schemas/MultiValueListAttributeType","NumericAttributeType":"#/components/schemas/NumericAttributeType","ScriptAttributeType":"#/components/schemas/ScriptAttributeType","SingleValueListAttributeType":"#/components/schemas/SingleValueListAttributeType","StringAttributeType":"#/components/schemas/StringAttributeType"}}},"ComplexRelationLegTypeImpl":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"},"createdBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"createdOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"lastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"lastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...].\nThis property is deprecated and will be removed in the future. In order to stay backwards compatible\nand to enable introduction of new types of resources, where necessary, a resource discriminator\nproperty (of type String) has been added to specific subtypes of Resource,\ne.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute.\nFor new types of resource that didn't exist before this change, the resourceType will be\nBaseDataType.\n","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"minimumOccurrences":{"type":"integer","format":"int32"},"maximumOccurrences":{"type":"integer","format":"int32"},"assetType":{"$ref":"#/components/schemas/NamedResourceReferenceImpl"},"role":{"type":"string"},"coRole":{"type":"string"},"relationTypeId":{"type":"string","format":"uuid"}}},"NamedResourceReferenceImpl":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the referenced resource.","format":"uuid"},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable us to introduce new types of resources, we are replacing the ResourceType enum with a String. For new types of resources that didn't exist before this change, resourceType will be BaseDataType. Please use the resourceDiscriminator property instead. Refer to the object containing the ResourceReference for possible values.","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"resourceDiscriminator":{"type":"string","description":"The resource discriminator, which indicates the type of the referenced resource, e.g. \"Community\", \"Asset\", ... Check the documentation of the class using the resource reference for detailed documentation regarding the possible resource discriminator values."},"name":{"type":"string","description":"The name of the referenced resource."}},"description":"Represents reference to the resource, including its name."}}}}
```

## The AssignedRelationType object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"components":{"schemas":{"AssignedRelationType":{"required":["assignedResourceType","id"],"type":"object","deprecated":true,"allOf":[{"$ref":"#/components/schemas/AssignedCharacteristicType"},{"type":"object","properties":{"roleDirection":{"type":"string","description":"The direction of the relation type.","enum":["TO_SOURCE","TO_TARGET","BOTH","NONE"]},"relationType":{"$ref":"#/components/schemas/RelationTypeImpl"},"restriction":{"$ref":"#/components/schemas/NamedResourceReferenceImpl"}}}]},"AssignedCharacteristicType":{"required":["assignedResourceType"],"type":"object","properties":{"minimumOccurrences":{"type":"integer","description":"How many times at least the assigned characteristic must be added to the resource. Zero means no restriction.","format":"int32"},"maximumOccurrences":{"type":"integer","description":"How many times at least the assigned characteristic may be added to the resource. Null means no limit.","format":"int32"},"assignedResourceId":{"type":"string","description":"The id of the resource the characteristic refers to.","format":"uuid"},"assignedResourceType":{"type":"string","description":"The type of the resource the characteristic refers to. The value can be one of : AttributeType, RelationType or ComplexRelationType. Deprecated in favour of assignedCharacteristicTypeDiscriminator.","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"assignedCharacteristicTypeDiscriminator":{"type":"string","description":"The discriminator of the characteristic type that is assigned. The value can be one of : AttributeType, RelationType or ComplexRelationType"},"readOnly":{"type":"boolean","description":"Whether the characteristic value of the assigned type can be edited by the user."},"system":{"type":"boolean","description":"Whether the characteristic type can be unassigned."},"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"}},"description":"The list of assigned characteristic types. Depending on the actual type, a characteristic type may contain additional properties. For additional details, refer to the schemas of AssignedAttributeType, AssignedComplexRelationType and AssignedRelationType. These references will always contain 'AttributeType', 'RelationType' or 'ComplexRelationType' as resourceDiscriminator value.","discriminator":{"propertyName":"assignedResourceType","mapping":{"AttributeType":"#/components/schemas/AssignedAttributeType","ComplexRelationType":"#/components/schemas/AssignedComplexRelationType","RelationType":"#/components/schemas/AssignedRelationType"}}},"RelationTypeImpl":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"},"createdBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"createdOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"lastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"lastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...].\nThis property is deprecated and will be removed in the future. In order to stay backwards compatible\nand to enable introduction of new types of resources, where necessary, a resource discriminator\nproperty (of type String) has been added to specific subtypes of Resource,\ne.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute.\nFor new types of resource that didn't exist before this change, the resourceType will be\nBaseDataType.\n","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"publicId":{"type":"string","description":"The public id of the relation type."},"sourceType":{"$ref":"#/components/schemas/MetaNamedResourceReferenceImpl"},"targetType":{"$ref":"#/components/schemas/MetaNamedResourceReferenceImpl"},"role":{"type":"string","description":"The name of the role that source plays in the relation."},"coRole":{"type":"string","description":"The name of the role that target plays in the relation."},"description":{"type":"string","description":"The description of the relation type."}}},"MetaNamedResourceReferenceImpl":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the referenced resource.","format":"uuid"},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable us to introduce new types of resources, we are replacing the ResourceType enum with a String. For new types of resources that didn't exist before this change, resourceType will be BaseDataType. Please use the resourceDiscriminator property instead. Refer to the object containing the ResourceReference for possible values.","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"resourceDiscriminator":{"type":"string","description":"The resource discriminator, which indicates the type of the referenced resource, e.g. \"Community\", \"Asset\", ... Check the documentation of the class using the resource reference for detailed documentation regarding the possible resource discriminator values."},"name":{"type":"string","description":"The name of the referenced resource."},"publicId":{"type":"string"}},"description":"    The reference to the target type of the relation. The reference can only have a\n    resourceDiscriminator of value 'AssetType', 'ComplexRelationType' or 'Trait'.\n"},"NamedResourceReferenceImpl":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the referenced resource.","format":"uuid"},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable us to introduce new types of resources, we are replacing the ResourceType enum with a String. For new types of resources that didn't exist before this change, resourceType will be BaseDataType. Please use the resourceDiscriminator property instead. Refer to the object containing the ResourceReference for possible values.","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"resourceDiscriminator":{"type":"string","description":"The resource discriminator, which indicates the type of the referenced resource, e.g. \"Community\", \"Asset\", ... Check the documentation of the class using the resource reference for detailed documentation regarding the possible resource discriminator values."},"name":{"type":"string","description":"The name of the referenced resource."}},"description":"Represents reference to the resource, including its name."}}}}
```

## The AssignmentImpl object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"components":{"schemas":{"AssignmentImpl":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"},"createdBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"createdOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"lastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"lastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...].\nThis property is deprecated and will be removed in the future. In order to stay backwards compatible\nand to enable introduction of new types of resources, where necessary, a resource discriminator\nproperty (of type String) has been added to specific subtypes of Resource,\ne.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute.\nFor new types of resource that didn't exist before this change, the resourceType will be\nBaseDataType.\n","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"assetType":{"$ref":"#/components/schemas/NamedResourceReferenceImpl"},"statuses":{"type":"array","description":"The list of references to the statuses.  These references will always contain 'Status' as resourceDiscriminator value.","items":{"$ref":"#/components/schemas/NamedDescribedResourceReference"}},"defaultStatusId":{"type":"string","description":"The ID of the default status. Deprecated : this property is ignored. The default status is the first status in the list of assigned statuses of the assignment.","format":"uuid","deprecated":true},"characteristicTypes":{"type":"array","description":"The list of assigned characteristic types. Depending on the actual type, a characteristic type may contain additional properties. For additional details, refer to the schemas of AssignedAttributeType, AssignedComplexRelationType and AssignedRelationType. These references will always contain 'AttributeType', 'RelationType' or 'ComplexRelationType' as resourceDiscriminator value.Deprecated in favour of assignedCharacteristicTypeReferences.","deprecated":true,"items":{"$ref":"#/components/schemas/AssignedCharacteristicType"}},"assignedCharacteristicTypeReferences":{"type":"array","description":"The list of assigned characteristic types. Depending on the actual type, a characteristic type may contain additional properties. These references will contain 'AttributeType', 'RelationType' or 'ComplexRelationType' or 'DerivedRelationType' as resourceDiscriminator value.","items":{"$ref":"#/components/schemas/AssignedCharacteristicTypeReferenceImpl"}},"articulationRules":{"type":"array","description":"The list of articulation rules applying with the assignment.","items":{"$ref":"#/components/schemas/ArticulationRuleImpl"}},"validationRules":{"type":"array","description":"The list of references to validation rules applying with the assignment. These references will always contain 'Asset' as resourceDiscriminator value.","items":{"$ref":"#/components/schemas/NamedResourceReferenceImpl"}},"dataQualityRules":{"type":"array","description":"The list of references to data quality rules applying with the assignment. These references will always contain 'DataQualityRule' as resourceDiscriminator value.","items":{"$ref":"#/components/schemas/NamedDescribedResourceReference"}},"domainTypes":{"type":"array","description":"The list of references to domain types which the assignment refers to.  These references will always contain 'DomainType' as resourceDiscriminator value.","items":{"$ref":"#/components/schemas/NamedDescribedResourceReference"}},"scope":{"$ref":"#/components/schemas/ScopeImpl"},"assignmentInheritances":{"type":"array","description":"The inheritances stemming from assignments applied to ancestors of the asset type of this assignment.","items":{"$ref":"#/components/schemas/AssignmentInheritance"}},"traitAssignmentInheritances":{"type":"array","description":"The inheritances stemming from Traits applied to the Asset Type.","items":{"$ref":"#/components/schemas/TraitAssignmentInheritance"}}}},"NamedResourceReferenceImpl":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the referenced resource.","format":"uuid"},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable us to introduce new types of resources, we are replacing the ResourceType enum with a String. For new types of resources that didn't exist before this change, resourceType will be BaseDataType. Please use the resourceDiscriminator property instead. Refer to the object containing the ResourceReference for possible values.","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"resourceDiscriminator":{"type":"string","description":"The resource discriminator, which indicates the type of the referenced resource, e.g. \"Community\", \"Asset\", ... Check the documentation of the class using the resource reference for detailed documentation regarding the possible resource discriminator values."},"name":{"type":"string","description":"The name of the referenced resource."}},"description":"Represents reference to the resource, including its name."},"NamedDescribedResourceReference":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the referenced resource.","format":"uuid"},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable us to introduce new types of resources, we are replacing the ResourceType enum with a String. For new types of resources that didn't exist before this change, resourceType will be BaseDataType. Please use the resourceDiscriminator property instead. Refer to the object containing the ResourceReference for possible values.","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"resourceDiscriminator":{"type":"string","description":"The resource discriminator, which indicates the type of the referenced resource, e.g. \"Community\", \"Asset\", ... Check the documentation of the class using the resource reference for detailed documentation regarding the possible resource discriminator values."},"name":{"type":"string","description":"The name of the referenced resource."},"description":{"type":"string","description":"The description of the referenced resource."}},"description":"Represents reference to the resource, including its name and description."},"AssignedCharacteristicType":{"required":["assignedResourceType"],"type":"object","properties":{"minimumOccurrences":{"type":"integer","description":"How many times at least the assigned characteristic must be added to the resource. Zero means no restriction.","format":"int32"},"maximumOccurrences":{"type":"integer","description":"How many times at least the assigned characteristic may be added to the resource. Null means no limit.","format":"int32"},"assignedResourceId":{"type":"string","description":"The id of the resource the characteristic refers to.","format":"uuid"},"assignedResourceType":{"type":"string","description":"The type of the resource the characteristic refers to. The value can be one of : AttributeType, RelationType or ComplexRelationType. Deprecated in favour of assignedCharacteristicTypeDiscriminator.","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"assignedCharacteristicTypeDiscriminator":{"type":"string","description":"The discriminator of the characteristic type that is assigned. The value can be one of : AttributeType, RelationType or ComplexRelationType"},"readOnly":{"type":"boolean","description":"Whether the characteristic value of the assigned type can be edited by the user."},"system":{"type":"boolean","description":"Whether the characteristic type can be unassigned."},"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"}},"description":"The list of assigned characteristic types. Depending on the actual type, a characteristic type may contain additional properties. For additional details, refer to the schemas of AssignedAttributeType, AssignedComplexRelationType and AssignedRelationType. These references will always contain 'AttributeType', 'RelationType' or 'ComplexRelationType' as resourceDiscriminator value.","discriminator":{"propertyName":"assignedResourceType","mapping":{"AttributeType":"#/components/schemas/AssignedAttributeType","ComplexRelationType":"#/components/schemas/AssignedComplexRelationType","RelationType":"#/components/schemas/AssignedRelationType"}}},"AssignedCharacteristicTypeReferenceImpl":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the Assigned Characteristic Type Reference.","format":"uuid"},"assignedResourceReference":{"$ref":"#/components/schemas/NamedResourceReferenceImpl"},"assignedResourcePublicId":{"type":"string","description":"The public id of assigned Characteristic Type. This can be an Attribute Type, Relation Type, Complex Relation Type or Derived Relation Type."},"minimumOccurrences":{"type":"integer","description":"How many times the assigned Characteristic must at the minimum be added to the Resource. Zero means no restriction.","format":"int32"},"maximumOccurrences":{"type":"integer","description":"Defines how many times an assigned Characteristic may be added at most to the resource. Null means no limit.","format":"int32"},"system":{"type":"boolean","description":"When the system flag is set to true, it means the Characteristic Type cannot be unassigned."},"readOnly":{"type":"boolean","description":"When the readOnly flag is set to true, the value of the assigned Characteristic Type cannot be edited by the user. Only applicable to AttributeType assignment lines."},"relationTypeDirection":{"type":"string","description":"The direction of the Relation Type or null when this reference isn't a reference to a Relation Type.","enum":["TO_SOURCE","TO_TARGET","BOTH","NONE"]},"relationTypeRestriction":{"$ref":"#/components/schemas/NamedResourceReferenceImpl"},"matchingLegTypesIds":{"type":"array","description":"The list of ids that should match the legs of the complex relation or null if this reference is not a ComplexRelationType.","items":{"type":"string","description":"The list of ids that should match the legs of the complex relation or null if this reference is not a ComplexRelationType.","format":"uuid"}}},"description":"The list of assigned characteristic types.\nDepending on the actual type, a characteristic type may contain additional properties.\nThese references will always contain 'AttributeType', 'StringAttributeType', 'ScriptAttributeType',\n'BooleanAttributeType', 'DateAttributeType', 'SingleValueListAttributeType',\n'MultiValueListAttributeType', 'NumericAttributeType', 'RelationType', 'DerivedRelationType' or 'ComplexRelationType'\nas resourceDiscriminator value."},"ArticulationRuleImpl":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"},"createdBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"createdOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"lastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"lastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...].\nThis property is deprecated and will be removed in the future. In order to stay backwards compatible\nand to enable introduction of new types of resources, where necessary, a resource discriminator\nproperty (of type String) has been added to specific subtypes of Resource,\ne.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute.\nFor new types of resource that didn't exist before this change, the resourceType will be\nBaseDataType.\n","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"score":{"type":"number","description":"The value that should be either added or set (depending on the operation) when this rule matches.","format":"double"},"operation":{"type":"string","description":"The type of an operation that should be performed when asset is matching this rule.","enum":["ADD","SET"]},"status":{"$ref":"#/components/schemas/NamedResourceReferenceImpl"},"attributeType":{"$ref":"#/components/schemas/NamedResourceReferenceImpl"}},"description":"The list of articulation rules applying with the assignment."},"ScopeImpl":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"},"createdBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"createdOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"lastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"lastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...].\nThis property is deprecated and will be removed in the future. In order to stay backwards compatible\nand to enable introduction of new types of resources, where necessary, a resource discriminator\nproperty (of type String) has been added to specific subtypes of Resource,\ne.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute.\nFor new types of resource that didn't exist before this change, the resourceType will be\nBaseDataType.\n","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"name":{"type":"string","description":"The name of the resource."},"description":{"type":"string","description":"The description of the resource."},"publicId":{"type":"string","description":"The public id of the scope."},"domains":{"type":"array","description":"The list of domains that are included in this scope.","items":{"$ref":"#/components/schemas/NamedResourceReferenceImpl"}},"communities":{"type":"array","description":"The list of communities that are included in this scope.","items":{"$ref":"#/components/schemas/NamedResourceReferenceImpl"}}}},"AssignmentInheritance":{"type":"object","properties":{"assetType":{"$ref":"#/components/schemas/NamedResourceReferenceImpl"},"traitAssignmentInheritances":{"type":"array","description":"The inheritances stemming from Traits applied to the Asset Type.","items":{"$ref":"#/components/schemas/TraitAssignmentInheritance"}},"assignment":{"$ref":"#/components/schemas/ResourceReference"},"scope":{"$ref":"#/components/schemas/NamedResourceReferenceImpl"}},"description":"An inheritance stemming from an assignment of an ancestor."},"TraitAssignmentInheritance":{"type":"object","properties":{"trait":{"$ref":"#/components/schemas/NamedResourceReferenceImpl"},"assetType":{"$ref":"#/components/schemas/NamedResourceReferenceImpl"},"characteristicTypes":{"type":"array","description":"The list of assigned characteristic types.\nDepending on the actual type, a characteristic type may contain additional properties.\nFor additional details, refer to the schemas of AssignedAttributeType, AssignedComplexRelationType\nand AssignedRelationType.\nThese references will always contain 'AttributeType', 'StringAttributeType', 'ScriptAttributeType',\n'BooleanAttributeType', 'DateAttributeType', 'SingleValueListAttributeType',\n'MultiValueListAttributeType', 'NumericAttributeType''RelationType' or 'ComplexRelationType'\nas resourceDiscriminator value.","items":{"$ref":"#/components/schemas/AssignedCharacteristicType"}},"assignedCharacteristicTypeReferences":{"type":"array","description":"The list of assigned characteristic types.\nDepending on the actual type, a characteristic type may contain additional properties.\nThese references will always contain 'AttributeType', 'StringAttributeType', 'ScriptAttributeType',\n'BooleanAttributeType', 'DateAttributeType', 'SingleValueListAttributeType',\n'MultiValueListAttributeType', 'NumericAttributeType', 'RelationType', 'DerivedRelationType' or 'ComplexRelationType'\nas resourceDiscriminator value.","items":{"$ref":"#/components/schemas/AssignedCharacteristicTypeReferenceImpl"}},"traitAssignment":{"$ref":"#/components/schemas/ResourceReference"},"scope":{"$ref":"#/components/schemas/NamedResourceReferenceImpl"}},"description":"The inheritance stemming from a single Trait applied to the Asset Type.\nPlease note that the 'assetType' property of TraitAssignmentInheritance is deprecated.\nThis property was incorrectly named, and has therefore been replaced by the 'trait' property.\nBoth properties contain a reference to the trait from which the inheritance comes.\n"},"ResourceReference":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the referenced resource.","format":"uuid"},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable us to introduce new types of resources, we are replacing the ResourceType enum with a String. For new types of resources that didn't exist before this change, resourceType will be BaseDataType. Please use the resourceDiscriminator property instead. Refer to the object containing the ResourceReference for possible values.","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute"
[...]
